37
Résultats de validation

Amely

Amely

WordPress 5.8.2 theme
37
  • TYPE DE THèMEThème WordPress %s 5.8.2
  • NOM DU FICHIERamely_2.6.7.zip
  • TAILLE DU FICHIER15966573 octets
  • MD5d5759d8136cf41eb99f1965beb0e8d92
  • SHA19a7a676e669a7975a7f7b659840e09b4434b988a
  • LICENCEGNU GPL 2
  • FICHIERS INCLUSCSS, PHP, HTML, XML, Bitmap images, Adobe Illustrator
  • URI DU THèME URIhttp://amely.thememove.com
  • VERSION2.6.7
  • URI DE L'AUTEUR
  • TAGSeditor-style, featured-images, microformats, post-formats, rtl-language-support, sticky-post, threaded-comments, translation-ready
  • DATE DE CRéATION2021-03-08
  • DERNIèRE MISE à JOUR DU FICHIER2021-03-08
  • DERNIèRE VALIDATION2021-03-08 10:21
  • AUTRES VERSIONS

    2.6.0 : 17%

    2.5.0 : 58%

Ce thème n'est peut être pas libre. Themecheck ne distribue pas de thèmes commerciaux.
Alertes critiques
  1. Fichiers indésirables : fichiers ou dossiers cachés .scss-lint.yml .ds_store a été trouvé.
  2. Code malveillant : Opérations réseau curl_init trouvé dans le fichier class-mailchimp.php. 62: if ( ! function_exists( 'curl_init' ) ) {77: $ch = curl_init();curl_exec trouvé dans le fichier class-mailchimp.php. 90: $result = curl_exec( $ch );
  3. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip homepage-12.zip homepage-1.zip homepage-20.zip homepage-2.zip homepage-05.zip homepage-3.zip homepage-09.zip homepage-4.zip homepage-18.zip landing_page.zip homepage-10.zip homepage-19.zip homepage-13.zip woo-brand-4.4.7.zip vafpress-post-formats-ui-150.zip instagram-shop.zip a été trouvé.
Attention
  1. Contextes de plugin : Fonctionnalités de pluginLe thème utilise la fonction register_taxonomy(). Cette fonction n'est pas prévue pour être utilisée dans le contexte d'un thème, mais plutôt dans un plugin.
  2. Uniformité des caractères de fin de ligne : Les fins de ligne DOS et UNIXLe fichier rev_sliders.txt contient un mélange de finde ligne \r\n and \n
  3. Editor style : Présence de l'édition de styleAucune référence à add_editor_style() n'a été trouvée dans le thème. Il est recommandé que le thème implémente l'édition de style, de manière à faire correspondre le contenu de l'éditeur l'affichage dans le thème.
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  5. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  6. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  7. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  8. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  9. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  10. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  11. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : class-redux.php 179: require_once( $class_file ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : class-helper.php 132: require_once( ABSPATH . '/wp-admin/includes/file.php' );852: include( locate_template( 'components/post/content.php' ) ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : class-woo.php 697: include_once( WC()->plugin_path() . '/includes/walkers/class-product-cat-li Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : amely_blog.php 82: include( locate_template( 'components/post/content.php' ) ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.Le thème semble utiliser include ou require : field_repeater.php 414: require_once( $class_file ); Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Other checked themes